<?php
/**
 * @file
 * Enables modules and site configuration for a Media development installation.
 */

use Drupal\Core\Form\FormStateInterface;

/**
 * Implements hook_form_FORM_ID_alter() for install_configure_form().
 *
 * Allows the profile to alter the site configuration form.
 */
function media_dev_form_install_configure_form_alter(&$form, FormStateInterface $form_state) {
  // Pre-populate the site name with the server name.
  $hostname = \Drupal::request()->server->get('SERVER_NAME');
  $form['site_information']['site_name']['#default_value'] = $hostname;
  $form['site_information']['site_mail']['#default_value'] = 'admin@' . $hostname;
  $form['admin_account']['account']['name']['#default_value'] = 'admin';
  $form['admin_account']['account']['mail']['#default_value'] = 'admin@' . $hostname;
  $form['update_notifications']['update_status_module']['#default_value'] = array();
}
